Bug 872828 - [Indic] Rendering of dependent vowel is different in 'label' and text field
[Indic] Rendering of dependent vowel is different in 'label' and text field
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-03 12:48 EDT by A S Alam
Modified: 2013-07-02 21:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-07 02:31:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot with firefox and Gedit (64.66 KB, image/png)
2012-11-03 12:48 EDT, A S Alam
no flags Details
Screenshot with fix (92.77 KB, image/png)
2013-03-07 02:31 EST, A S Alam
no flags Details

  None (edit)
Description A S Alam 2012-11-03 12:48:46 EDT
Created attachment 637541 [details]
Screenshot with firefox and Gedit

Description of problem:
There is problem of Rendering Dependent vowel in firefox, which is rendered differently in Label and Text label. First tested with Bengali (bn_IN) language only.

Version-Release number of selected component (if applicable):
harfbuzz-0.9.5-1.fc18.x86_64
firefox-16.0.2-1.fc18.x86_64
xulrunner-16.0.2-1.fc18.x86_64
lohit-bengali-fonts-2.5.1-2.fc18.noarch

How reproducible:
Everytime

Steps to Reproduce:
1. open http://utrrs-testing.rhcloud.com/language/bn_IN/ in firefox (with harfbuzz and fedora 18)
2. check following entries
 (3,4,50,51,52, 54,55,56,58,59,
3. Check 3th (Character) and 4th (Text) column.
4. There is no Dotted circle in Text Field, but in Character column
5. Other Dependent vowel sign, dotted circle appear properly. (example case 5, 52,53 etc)

Actual results:
dotted circle (indication of dependent vowel sign) appears for some unicode characters, but not for other

Expected results:
it should appear for all Dependent sign (as in gedit it is working, which is now using harfbuzz)

Additional info:
1. Screenshot with firefox and gedit
2. Character column and Gedit rendering is same, so bug is filed for firefox
Comment 1 Martin Stransky 2013-02-26 05:11:51 EST
Thanks. Can you please test it with a binary firefox downloaded from mozilla.com?
Comment 2 A S Alam 2013-03-07 02:31:09 EST
Created attachment 706393 [details]
Screenshot with fix
Comment 3 A S Alam 2013-03-07 02:31:41 EST
it is working with latest Aurora built and also in-built Fedora browser.

Tested version:
firefox-21.0a2.en-US.linux-x86_64.tar.bz2
firefox-19.0-1.fc18.x86_64


CLOSING this bug as current release.

Note You need to log in before you can comment on or make changes to this bug.